-- Copyright (c) 2013-2015 Algo Communication Products Ltd.

require('session')
require('webpage')
require('conf')
require('prod')

conf_load()
local auth_failed = session_load()
if auth_failed == 1 then
	session_reset()
	return
else
	session_start_page()
end
session_save()

local form_start = webpage_cst_formstart('/control/about.lua')

local page_start = webpage_cst_pagestart('About')

local secthd_prod = webpage_cst_secthd('Product Info')

local secthd_credit = webpage_cst_secthd('Credits')

mg.write(prod_cst_header() ..
	prod_cst_menu('System', 'About') ..
	webpage_cst_mchd(0) ..
	form_start .. page_start ..
	secthd_prod .. webpage_subsect_hd ..
	prod_cst_prodinfo() ..
	webpage_subsect_ft .. webpage_sect_ft ..
	prod_company_info ..
	secthd_credit .. webpage_credit_info ..
	prod_credit_info ..webpage_sect_ft ..
	webpage_page_end .. webpage_form_end ..
	webpage_mc_ft ..
	prod_footer)
