-- Copyright (c) 2008-2015 Algo Communication Products Ltd.

require('session')
require('webpage')
require('conf')
require('prod')

local auth_failed = session_load()
if auth_failed == 1 then
	session_reset()
	return
else
	session_start_page()
end

conf_load()

local upgrade_msg = [[
<script>
window.onload = function () {
	reconnect(120, 10, "/");
}
</script>
<p align="center">
<img src="/static/loading.gif" alt="Upgrading...">
Upgrading...<b id="timer">120</b> seconds</p>
<p><img src="/static/exclamation.png" alt="Warning">
Upgrade may take longer than the countdown timeout.</p>]]

local power_msg = [[Please do not disconnect the device during firmware upgrade.]]
mg.write(prod_cst_header() ..
	webpage_cst_mchd(0, 0, {['Keep Power On'] = power_msg}) ..
	webpage_cst_secthd('Upgrading') .. webpage_subsect_hd ..
	upgrade_msg ..
	webpage_subsect_ft .. webpage_sect_ft ..
	webpage_mc_ft ..
	prod_footer)
