-- Copyright (c) 2008-2015 Algo Communication Products Ltd.

require('session')
require('webpage')
require('conf')
require('prod')

local auth_failed = session_load()
if auth_failed == 1 then
	session_reset()
	return
else
	session_start_page()
end

conf_load()

local reboot_msg = [[
<script>
window.onload = function () {
	reconnect(60, 10, "/");
}
</script>
<p align="center">
<img src="/static/loading.gif" alt="Rebooting...">
Connecting...<b id="timer">60</b> seconds</p>
<p><img src="/static/exclamation.png" alt="Warning">
Reboot may take longer than the countdown timeout.</p>]]

local ip_msg = [[If the network configuration has been changed, you need to use the new IP address to access the device.]]

g_reboot = 0

os.execute("/opt/algo/bin/show-state reboot;/sbin/reboot")
mg.write(prod_cst_header() ..
	webpage_cst_mchd(0, 0, {['Network Connection'] = ip_msg}) ..
	webpage_cst_secthd('Rebooting') .. webpage_subsect_hd ..
	reboot_msg ..
	webpage_subsect_ft .. webpage_sect_ft ..
	webpage_mc_ft ..
	prod_footer)
