-- Copyright (c) 2014-2015 Algo Communication Products Ltd.

require('session')
require('webpage')
require('conf')

conf_load()
local auth_failed = session_load()
if auth_failed == 1 then
	session_reset()
	return
else
	session_start_page()
end

local cl = mg.request_info.http_headers['Content-Length']
if cl then
	local settings = {}

	webpage_parse_post(cl, settings)

	if settings['action'] == 'play' then
		os.execute('/opt/algo/bin/cmdmsg /MainCmdQ "ring play ' .. settings['audio.ring.tone'] ..'"')
	elseif settings['action'] == 'loop' then
		os.execute('/opt/algo/bin/cmdmsg /MainCmdQ "ring loop ' .. settings['audio.ring.tone'] ..'"')
	elseif settings['action'] == 'stop' then
		os.execute('/opt/algo/bin/cmdmsg /MainCmdQ "ring stop"')
	end
	mg.write('tested')
else
	mg.write('ok')
end
session_save()
