-- Copyright (c) 2008-2015 Algo Communication Products Ltd.

require('session')
require('webpage')
require('conf')

conf_load()
local auth_failed = session_load()
if auth_failed == 1 then
	session_reset()
	return
else
	session_start_page()
end

local cl = mg.request_info.http_headers['Content-Length']
if cl then
	local settings = {}
	local flags = {['any'] = 0, ['main'] = 0}

	webpage_parse_post(cl, settings)
	if (settings['audio.ring.vol'] ~= nil) then
		conf_update('audio.ring.vol', settings, flags, 'main')
	end
	if (settings['audio.page.vol'] ~= nil) then
		conf_update('audio.page.vol', settings, flags, 'main')
	end
	if (settings['audio.vol.spk'] ~= nil) then
		conf_update('audio.vol.spk', settings, flags, 'main')
	end

	if flags['any'] == 1 then
		conf_save()
		os.execute('/opt/algo/bin/cmdmsg /MainCmdQ "volume change"')
	end
end
session_save()

mg.write('ok')
