-- Copyright (c) 2015 Algo Communication Products Ltd.

require('session')
require('webpage')
require('conf')

conf_load()

local response_ok = 'HTTP/1.0 200 OK\r\nContent-Type: text/html\r\nCache-Control: private, max-age=0\r\nConnection: close\r\n\r\n<IPSpeakerResponse></IPSpeakerResponse>'

-- check if synapp service available
if conf_getpn('synapps.use') ~= 1 or (conf_getp('synapps.server') == '' and
	webpage_read_file('/var/run/dhcp_option72.status', '') == '') then
	session_start_page()
	mg.write(response_ok)
	do return end
end

local cl = mg.request_info.http_headers['Content-Length']
if cl then
	local data = mg.read(cl)
	local exe = data:match('^<IPSpeakerExecute><ExecuteItem URL="([%a|%d|%/|%:|%.]+)"%s/>')
	local cmd, pmlist = exe:match('(%a+)://(.+)')
	if cmd == 'RTPRx' then
		if pmlist:match('Stop') then
			local ip, port = pmlist:match('([%w|%.]+):(%d+)')
			os.execute('/opt/algo/bin/cmdmsg /MainCmdQ ' ..
				'"synapps rx stop ' .. port .. '"')
		else
			local ip, port, vol, prio =
				pmlist:match('([%w|%.]+):(%d+):(%d+):(%d+)')
			os.execute('/opt/algo/bin/cmdmsg /MainCmdQ ' ..
				'"synapps rx start ' .. port .. ' ' ..
				vol .. '"')
		end
	elseif cmd == 'RTPMRx' then
		if pmlist:match('Stop') then
			local ip, port = pmlist:match('([%w|%.]+):(%d+)')
			os.execute('/opt/algo/bin/cmdmsg /MainCmdQ ' ..
				'"synapps mrx stop ' .. ip..' '..port .. '"')
		else
			local ip, port, vol, prio =
				pmlist:match('([%w|%.]+):(%d+):(%d+):(%d+)')
			os.execute('/opt/algo/bin/cmdmsg /MainCmdQ ' ..
				'"synapps mrx start '.. ip..' '..port .. ' ' ..
				vol .. '"')
		end
	end
end
mg.write(response_ok)
